Improve this doc View source

# `pfTransclude`
directive in module `patternfly.utils`

## Description

Directive for transcluding in directives and setting up scope of children of parent directives. This is a workaround for https://github.com/angular/angular.js/issues/5489

## Usage

as attribute

    <ANY pf-transclude="{string}">
       ...
    </ANY>

#### Parameters

Param | Type | Details
--- | --- | ---

pfTransclude

string

specifies the type of transclusion to use.
Values:

- 'sibling' - The transcluded contents scope is a sibling one to the element where transclusion happens (default)
- 'parent' - The transcluded contents scope is that of the element where transclusion happens.
- 'child' - The transcluded contents scope is child scope to the scope of the element where transclusion happens.

## Example

#### Source

#### Demo